#include <bits/stdc++.h>
using namespace std;
int main()
{
	int n;
	cin>>n;
	pair<int,double>a[n+1];
	pair<double,int>b[n+1];
	double sum=0,maks=0;
	for(int i=1;i<=n;i++)
	{
		cin>>a[i].first>>a[i].second;
		sum+=a[i].first;
		b[i].first=a[i].second;
		b[i].second=a[i].first;
	}
	sort(b+1,b+n+1);
	/*for(int i=1;i<=n;i++)
	{
		cout<<b[i].second<<" "<<b[i].first<<"\n";
	}*/
	for(int i=1;i<=n;i++)
	{
		if(i!=1)
		{
			sum-=b[i-1].second;
			if(maks<sum*(b[i].first/100))
			{
				maks=sum*(b[i].first/100);
			}
		}
		else
		{
			if(maks<sum*(b[i].first/100))
			{
				maks=sum*(b[i].first/100);
			}
		}
		//cout<<fixed<<round(maks*10000)/10000<<"\n";
	}
	cout<<fixed<<round(maks*10000)/10000<<"\n";
	return 0;
}